/* Copyright (c) 1994, 1995, 1996, Takayuki Hosoda. All rights reserved. */
/* fnxcrypt version 1.3.9 */

#include "fnxcrypt.h"

/* mem_cpy */
UCHAR *
mem_cpy(d, s, n)
    register UCHAR *d;
    register UCHAR *s;
    register int    n;
{
    register UCHAR *dst;

    dst = d;
    for (; n > 0; n--)
	*d++ = *s++;
    return (dst);
}

/* mem_cmp */
int
mem_cmp(d, s, n)
    register UCHAR *d;
    register UCHAR *s;
    register int    n;
{
    for (; n > 0; n--)
	if (*d++ != *s++)
	    return (1);
    return (0);
}

/* mem_set */
UCHAR *
mem_set(d, c, n)
    register UCHAR *d;
    register UCHAR  c;
    register int    n;
{
    register UCHAR *dst;

    dst = d;
    for (; n; n--)
	*d++ = c;
    return (dst);
}
