/* Copyright (c) 1994, 1995, 1996, Takayuki Hosoda. All rights reserved. */
/* fnxcrypt version 1.3.9 */

#include <stdio.h>
#include <conio.h>

static char     password[17];

char           *
getpass(prompt)
    const char     *prompt;
{
    char            c;
    char           *cp;

    fprintf(stderr, "%s", prompt);
    cp = password;
    while (1) {
	c = getch();
	if ((c == (char) 0x0d) || (c == (char) 0x0a)) {
	    *cp = (char) 0;
	    break;
	}
	if (c == (char) 0x15) {
	    cp = password;
	} else {
	    if (cp == password + 16) {
		*cp = (char) 0;
	    } else {
		*cp++ = c;
	    }
	}
    }
    fprintf(stderr, "\n");
    return (password);
}
